@echo off

REM ---------------------------------------------------------------------------------------
REM Runs the FocalD calculator that creates a surface of fractal dimension values for the
REM window around each raster cell. To use, open a command prompt in Windows 
REM (Start menu -> Run... -> cmd) and then change to the directory in which this file is 
REM located (e.g. cd "Program files"\landserf220\addons) and type 'FocalD surface.srf' 
REM where surface.srf is the landserf raster you wish to measure. You can optionally specify
REM the size of the window to use which must be at least 9x9. If not specified, the window
REM size stored in the raster will be used. Output will be a file with the same name but with
REM FocalD appended. For example
REM FocalD c:\data\myRaster.srf 25 
REM will create a new file called myRasterFocalD.srf in the same directory containing fractal
REM dimensions measured in the 25x25 cell window surrounding each cell.
REM Version 1.0, 7th June, 2005.
REM Copyright Jo Wood, 2005.
REM ---------------------------------------------------------------------------------------

java -classpath .;../jars/landserf220.jar;../jars/utils.jar FocalD %1 %2
